# $Id: Makefile.autoconf.inc,v 1.3 2001/06/26 10:50:42 sjg Exp $

.NOPATH:	config.h config.status

.if !target(config.h)
config.h:	${.CURDIR}/config.h.in config.status
	./config.status
.endif

.if !target(config.status)
config.status:	config.h.in ${.CURDIR}/configure 
.if exists(${.OBJDIR}/config.status)
	./config.status --recheck
.else
	CC="${CC} ${CCMODE}" ${.CURDIR}/configure --no-create
.endif
.endif

# avoid things blowing up if these are not here...
# this is not quite per the autoconf manual,
# and is extremely convoluted - but all utterly necessary!

AUTOCONF?= /usr/local/bin/autoconf
AUTOHEADER?= autoheader

.if exists(${AUTOCONF})

.PRECIOUS: configure config.h.in config.status

ACLOCAL=
ACCONFIG=

.if exists(${.CURDIR}/aclocal.m4)
ACLOCAL+= aclocal.m4
.endif
.if exists(${.CURDIR}/acconfig.h)
ACCONFIG+= acconfig.h
.endif

${.CURDIR}/config.h.in:	${.CURDIR}/stamp-h.in
${.CURDIR}/stamp-h.in:	${.CURDIR}/configure.in ${ACCONFIG}
	cd ${.CURDIR} && ${AUTOHEADER}
	echo timestamp > $@

${.CURDIR}/configure:	${.CURDIR}/configure.in ${ACLOCAL}
	cd ${.CURDIR} && ${AUTOCONF}

.endif
